Page MenuHomePhabricator

B4. Update existing TOC to use OOJS-UI
Closed, ResolvedPublic5 Estimated Story Points

Description

Since this is JS-only functionality (and most of it will have to be, especially once search is added), it's a good use case for OOJS-UI. First we need to port over the existing functionality.

Related Objects

StatusSubtypeAssignedTask
ResolvedDannyH
ResolvedDannyH
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedmatthiasmullie
OpenNone
OpenNone
Resolvedmatthiasmullie
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedMooeypoo
ResolvedMooeypoo

Event Timeline

DannyH edited a custom field.Apr 22 2015, 6:37 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:08 PM
DannyH renamed this task from Update existing TOC to use OOJS-UI to A9. Update existing TOC to use OOJS-UI.Apr 22 2015, 8:04 PM
DannyH moved this task from Current workboard to Untriaged on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.Apr 30 2015, 5:36 PM

Punting this back to backlog, it's too big for right now.

DannyH renamed this task from A9. Update existing TOC to use OOJS-UI to B4. Update existing TOC to use OOJS-UI.May 6 2015, 8:45 PM
DannyH assigned this task to Catrope.May 7 2015, 5:44 PM
Catrope reassigned this task from Catrope to Mooeypoo.Jun 2 2015, 5:33 PM
DannyH raised the priority of this task from Medium to High.Jun 3 2015, 7:15 PM

Change 209671 had a related patch set uploaded (by Mooeypoo):
[WIP] Create an OOUI ToC widget

https://gerrit.wikimedia.org/r/209671

Restricted Application added a project: Notice. · View Herald TranscriptJun 4 2015, 4:06 PM
DannyH moved this task from Unscheduled to June 2015 on the Roadmap board.Jun 4 2015, 4:07 PM
DannyH moved this task from June 2015 to June 22-26 on the Roadmap board.Jun 11 2015, 4:04 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 11 2015, 4:53 PM

Change 209671 merged by jenkins-bot:
Create an OOUI ToC widget

https://gerrit.wikimedia.org/r/209671

gpaumier moved this task from Triaged to Archive on the Notice board.Jul 2 2015, 8:19 PM

Checked http://en.wikipedia.beta.wmflabs.org/wiki/Talk:ET3 and compared with https://www.mediawiki.org/wiki/Talk:Flow_QA in Chrome 43.

Note: In screenshots, Talk:Flow QA refers to mediawiki; Talk:ET3 refers to beta.

  1. mediawiki
    • 'Newest topics' label is not bold
    • hovering over topics make topics blue on the grey background
    • selected/viewed topic is indicated in bold; in beta - in blue
    • down-pointing arrow is different




beta

  1. mediawiki displays tooltips for 'Newest topics' & 'Recently active topics' - beta does not display them.
  1. mediawiki: icons for 'Newest topics' & 'Recently active topics'

beta swaps the icons for 'Newest topics' & 'Recently active topics'

  1. After selecting a different sort order

mediawiki does not change the background for a previously selected option.

beta indicates the previously selected order by changing the background color and providing the same icon for both options 'Newest topics' & 'Recently active topics'


  1. mediawiki - when a selection is made from 'Browse topics' - no page scrolling is noticeable.

beta - the scrolling is present. Note: checked in the Chrome(Mac) browser.

DannyH closed this task as Resolved.Jul 6 2015, 5:04 PM
DannyH reopened this task as Open.

Change 223072 had a related patch set uploaded (by Catrope):
Follow-up a16357b8c5: fix order icons

https://gerrit.wikimedia.org/r/223072

Catrope added a subscriber: Catrope.Jul 6 2015, 6:25 PM

Change 223072 had a related patch set uploaded (by Catrope):
Follow-up a16357b8c5: fix order icons

https://gerrit.wikimedia.org/r/223072

Fixes #3 and #4 from Elena's comment.

Re #1: the style is a bit different, but I believe that's intended

Re #5: I believe this is intended too, but I'm not sure

Re #2: good point

Change 223072 merged by jenkins-bot:
Follow-up a16357b8c5: fix order icons

https://gerrit.wikimedia.org/r/223072

There are two things that still need to be corrected.

#1 - When you choose an item in the ToC, it should bring you to a point that's just a little above the top of the topic header. Right now, depending on which item you choose, you get a few different results. The screenshot shows the correct spacing:

#2 - The ToC item that you're currently on needs to be in bold, so that it's easy to keep track of where you currently are while you're scrolling up and down in the ToC. The item needs to stay bold while you scroll. It should also line up under the floating bar, to indicate that the bar is showing ToC items as you scroll.

Change 223472 had a related patch set uploaded (by Mooeypoo):
Correct placement of the scroll when we scroll to topic

https://gerrit.wikimedia.org/r/223472

Change 223472 merged by jenkins-bot:
Correct placement of the scroll when we scroll to topic

https://gerrit.wikimedia.org/r/223472

DannyH closed this task as Resolved.Jul 10 2015, 5:34 PM